Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Tag: Gradle

Compilar y usar binarios ejecutables dependientes de ABI en Android con Android Studio 2.2 y CMake

Estoy probando el nuevo edificio de Android Studio C / C ++ a través de CMake a través de gradle estable ( http://tools.android.com/tech-docs/external-c-builds ). En mi aplicación, un dispositivo ya enraizado necesita utilizar un binario dependiente de ABI que compile dentro de Android Studio. Cuando intento compilar una biblioteca estándar con add_library(mylib SHARED mylib.c) Se […]

"ZipAlignExe 'no existe." Error al ejecutar mi proyecto en Android Studio

Estoy recibiendo error por debajo de esto, Error:A problem was found with the configuration of task ':project1:zipalignDebug'. > File 'D:\Program Files\Android Studio\sdk\tools\zipalign.exe' specified for property 'zipAlignExe' does not exist. He descargado todos los paquetes en sdk, he descargado dos paquetes sobre zipAlign pero no solucionó mi problema. Por favor ayuda. Gracias.

¿Cómo suprimir la advertencia específica de Lint para la función obsoleta de Android?

Utilizo un conmutador de versión para admitir versiones anteriores de Android. int sdk = Build.VERSION.SDK_INT; if (sdk < Build.VERSION_CODES.HONEYCOMB) { ColorDrawable colorDrawable = new ColorDrawable(shapeColor); //noinspection deprecation viewHolder.shape.setBackgroundDrawable(colorDrawable); } else { viewHolder.shape.setColor(shapeColor); } Cuando construye el proyecto con Gradle desde la línea de comandos, se emite la siguiente advertencia mediante Lint: app/src/main/java/com/example/MyApp/CustomListAdapter.java:92: warning: [deprecation] setBackgroundDrawable(Drawable) […]

Utilizar un manifestPlaceholder diferente para cada variante de generación

Empezaré diciendo que soy muy nuevo en Gradle, por lo que me disculpo si ya se ha respondido. Estoy trabajando en una aplicación de Android que utiliza una clave de API para acceder a una herramienta de terceros. Se necesita usar una clave de API diferente dependiendo del tipo de sabor y de generación de […]

"Error: Atributo" estilo "ya se ha definido" error después de añadir facebook sdk de Maven

Agregué facebook SDK a través de maven de la siguiente manera: compile 'com.facebook.android:facebook-android-sdk:3.21.1' Cuando compile, estoy recibiendo el error en mi archivo \app\src\main\res\values\colors.xml como Error:Attribute "style" has already been defined ¿Alguna sugerencia? Es muy desconcertante. Gradle: apply plugin: 'com.android.application' android { compileSdkVersion 21 buildToolsVersion '21.1.1' defaultConfig { applicationId 'com.rayat.pricewiz' minSdkVersion 17 targetSdkVersion 21 versionCode 1 […]

Android Studio dice usar Gradle 1.10 – pero la nueva versión es 1.12?

El error: The project is using an unsupported version of Gradle. Please use version 1.10. My `gradle.build` file says this: dependencies { classpath 'com.android.tools.build:gradle:0.12.+' } Por lo que sé, la línea anterior es correcta. Mi archivo gradle-wrapper dice: distributionUrl=http\://services.gradle.org/distributions/gradle-1.12-all.zip Esto sucedió cuando descargué la versión beta más reciente de Android Studio (v.8) y traté de […]

Android apk – Cómo excluir un archivo .so de una dependencia de terceros utilizando gradle

Tengo un proyecto de androide con varias dependencias. Dos de ellos (llamémoslos dependencia A y B) tienen bibliotecas nativas (archivos .so). La dependencia A tiene las siguientes arquitecturas: arm64-v8a, armeabi, armeabi-v7a, x86 y x86_64. La dependencia B tiene las siguientes arquitecturas: armeabi, x86 Por lo tanto, cuando mi aplicación se ejecuta en un dispositivo armeabi-v7a […]

Android Studio utilizando una biblioteca y un proyecto con el mismo nombre de paquete

Tengo una biblioteca que utilizo como base para todas mis aplicaciones de Android y tiene el siguiente archivo de manifiesto: <?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.example.android" xmlns:tools="http://schemas.android.com/tools" android:versionCode="36" android:versionName="1.b" > <uses-sdk android:minSdkVersion="5" android:targetSdkVersion="21" tools:overrideLibrary="com.facebook.android"/> Entonces intento utilizarlo en uno de mis proyectos que tiene el siguiente manifiesto: <?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.example.android" xmlns:tools="http://schemas.android.com/tools" android:versionCode="36" […]

Android Studio 0.4. + Almacén de claves de depuración personalizado

Antes de Android Studio 0.4, pude configurar un almacén de claves de depuración personalizado mediante File -> Project Structure -> Facets -> Compiler Tab Esta opción ha ido por lo menos con Android Studio 0.4.2. ¿Dónde puedo configurar el almacén de claves personalizado para poder compartirlo en diferentes PC, por ejemplo, a través de un […]

Gradle Robolectric Resources NotFoundException en pruebas

Ya he sabido que este problema se ha pedido antes, pero no puedo resolver este problema. Soy capaz de compilar y aplicar la prueba con jUnit, Robolectric y Gradle. El problema o error aparece cuando intento probar una actividad o obtener un recurso. Cada vez que tengo el mismo problema: Android.content.res.Resources $ NotFoundException: recurso desconocido […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.